Skip to main content
`Ctrl`+`K`

# DMTSSetRHSJacobian

set `TS` Jacobian evaluation function into a `DMTS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetRHSJacobian(DM dm, TSRHSJacobianFn *func, PetscCtx ctx)

Not Collective

## Input Parameters

- dm - `DM` to be used with `TS`

- func - Jacobian evaluation routine, for calling sequence see `TSIJacobianFn`

- ctx - context for residual evaluation

## Note

`TSSetRHSJacobian()` is normally used, but it calls this function internally because the user context is actually associated with the `DM`. This makes the interface consistent regardless of whether the user interacts with a `DM` or not.

## Developer Notes

If `DM` took a more central role at some later date, this could become the primary method of setting the Jacobian.

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `TSRHSJacobianFn`, `DMTSGetRHSJacobian()`, `TSSetRHSJacobian()`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages